<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::signaler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1signaler.html">signaler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1signaler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::signaler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aba4e578f853f7ecadb862bae45ca8229"><td class="memItemLeft" align="right" valign="top"><a id="aba4e578f853f7ecadb862bae45ca8229"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>signaler</b> (const <a class="el" href="classdlib_1_1mutex.html">mutex</a> &amp;associated_mutex)</td></tr>
<tr class="separator:aba4e578f853f7ecadb862bae45ca8229"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695b8b63bc62d1f1301cf740ca5499c9"><td class="memItemLeft" align="right" valign="top"><a id="a695b8b63bc62d1f1301cf740ca5499c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait</b> () const</td></tr>
<tr class="separator:a695b8b63bc62d1f1301cf740ca5499c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a696fa1603636bbed09782da4f9e6bbfa"><td class="memItemLeft" align="right" valign="top"><a id="a696fa1603636bbed09782da4f9e6bbfa"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>wait_or_timeout</b> (unsigned long milliseconds) const</td></tr>
<tr class="separator:a696fa1603636bbed09782da4f9e6bbfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a880f1d2a347e57369ff6604d0094f714"><td class="memItemLeft" align="right" valign="top"><a id="a880f1d2a347e57369ff6604d0094f714"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>signal</b> () const</td></tr>
<tr class="separator:a880f1d2a347e57369ff6604d0094f714"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a280731accd839a56f4941038192ea383"><td class="memItemLeft" align="right" valign="top"><a id="a280731accd839a56f4941038192ea383"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>broadcast</b> () const</td></tr>
<tr class="separator:a280731accd839a56f4941038192ea383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a075db1e61f6ce3bb60da6ad3bad19629"><td class="memItemLeft" align="right" valign="top"><a id="a075db1e61f6ce3bb60da6ad3bad19629"></a>
const <a class="el" href="classdlib_1_1mutex.html">mutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_mutex</b> () const</td></tr>
<tr class="separator:a075db1e61f6ce3bb60da6ad3bad19629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e01425fcc407dd0ca5b0ee8e3cef165"><td class="memItemLeft" align="right" valign="top"><a id="a5e01425fcc407dd0ca5b0ee8e3cef165"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>signaler</b> (const <a class="el" href="classdlib_1_1mutex.html">mutex</a> &amp;assoc_mutex)</td></tr>
<tr class="separator:a5e01425fcc407dd0ca5b0ee8e3cef165"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695b8b63bc62d1f1301cf740ca5499c9"><td class="memItemLeft" align="right" valign="top"><a id="a695b8b63bc62d1f1301cf740ca5499c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait</b> () const</td></tr>
<tr class="separator:a695b8b63bc62d1f1301cf740ca5499c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a696fa1603636bbed09782da4f9e6bbfa"><td class="memItemLeft" align="right" valign="top"><a id="a696fa1603636bbed09782da4f9e6bbfa"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>wait_or_timeout</b> (unsigned long milliseconds) const</td></tr>
<tr class="separator:a696fa1603636bbed09782da4f9e6bbfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a880f1d2a347e57369ff6604d0094f714"><td class="memItemLeft" align="right" valign="top"><a id="a880f1d2a347e57369ff6604d0094f714"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>signal</b> () const</td></tr>
<tr class="separator:a880f1d2a347e57369ff6604d0094f714"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a280731accd839a56f4941038192ea383"><td class="memItemLeft" align="right" valign="top"><a id="a280731accd839a56f4941038192ea383"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>broadcast</b> () const</td></tr>
<tr class="separator:a280731accd839a56f4941038192ea383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a075db1e61f6ce3bb60da6ad3bad19629"><td class="memItemLeft" align="right" valign="top"><a id="a075db1e61f6ce3bb60da6ad3bad19629"></a>
const <a class="el" href="classdlib_1_1mutex.html">mutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_mutex</b> () const</td></tr>
<tr class="separator:a075db1e61f6ce3bb60da6ad3bad19629"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adb88f7e1d270b59a16c0dad8ef43e3cb"><td class="memItemLeft" align="right" valign="top"><a id="adb88f7e1d270b59a16c0dad8ef43e3cb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>signaler</b> (<a class="el" href="classdlib_1_1signaler.html">signaler</a> &amp;)</td></tr>
<tr class="separator:adb88f7e1d270b59a16c0dad8ef43e3cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25e3929a872466c0999f5184d19ebb32"><td class="memItemLeft" align="right" valign="top"><a id="a25e3929a872466c0999f5184d19ebb32"></a>
<a class="el" href="classdlib_1_1signaler.html">signaler</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1signaler.html">signaler</a> &amp;)</td></tr>
<tr class="separator:a25e3929a872466c0999f5184d19ebb32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb88f7e1d270b59a16c0dad8ef43e3cb"><td class="memItemLeft" align="right" valign="top"><a id="adb88f7e1d270b59a16c0dad8ef43e3cb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>signaler</b> (<a class="el" href="classdlib_1_1signaler.html">signaler</a> &amp;)</td></tr>
<tr class="separator:adb88f7e1d270b59a16c0dad8ef43e3cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25e3929a872466c0999f5184d19ebb32"><td class="memItemLeft" align="right" valign="top"><a id="a25e3929a872466c0999f5184d19ebb32"></a>
<a class="el" href="classdlib_1_1signaler.html">signaler</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1signaler.html">signaler</a> &amp;)</td></tr>
<tr class="separator:a25e3929a872466c0999f5184d19ebb32"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2ee4a52432b0798c98828114dd347c0e"><td class="memItemLeft" align="right" valign="top"><a id="a2ee4a52432b0798c98828114dd347c0e"></a>
HANDLE&#160;</td><td class="memItemRight" valign="bottom"><b>hSemaphore</b></td></tr>
<tr class="separator:a2ee4a52432b0798c98828114dd347c0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa2081f25c04b0db2522e6648f53242e"><td class="memItemLeft" align="right" valign="top"><a id="aaa2081f25c04b0db2522e6648f53242e"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>waiters</b></td></tr>
<tr class="separator:aaa2081f25c04b0db2522e6648f53242e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69f91755268d3c499a3f4482917711ea"><td class="memItemLeft" align="right" valign="top"><a id="a69f91755268d3c499a3f4482917711ea"></a>
<a class="el" href="classdlib_1_1mutex.html">mutex</a>&#160;</td><td class="memItemRight" valign="bottom"><b>waiters_mutex</b></td></tr>
<tr class="separator:a69f91755268d3c499a3f4482917711ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e6232fa1686c7728b2c6070c4dc1afd"><td class="memItemLeft" align="right" valign="top"><a id="a9e6232fa1686c7728b2c6070c4dc1afd"></a>
HANDLE&#160;</td><td class="memItemRight" valign="bottom"><b>hCountSema</b></td></tr>
<tr class="separator:a9e6232fa1686c7728b2c6070c4dc1afd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01899c0e5cc898e6a3d94f27c6b79bd8"><td class="memItemLeft" align="right" valign="top"><a id="a01899c0e5cc898e6a3d94f27c6b79bd8"></a>
const <a class="el" href="classdlib_1_1mutex.html">mutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:a01899c0e5cc898e6a3d94f27c6b79bd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19e559c4cad0dbbee063509620310642"><td class="memItemLeft" align="right" valign="top"><a id="a19e559c4cad0dbbee063509620310642"></a>
pthread_mutex_t *const&#160;</td><td class="memItemRight" valign="bottom"><b>associated_mutex</b></td></tr>
<tr class="separator:a19e559c4cad0dbbee063509620310642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bdbee4b9dac103c1f82afba61fdd1e5"><td class="memItemLeft" align="right" valign="top"><a id="a4bdbee4b9dac103c1f82afba61fdd1e5"></a>
pthread_cond_t&#160;</td><td class="memItemRight" valign="bottom"><b>cond</b></td></tr>
<tr class="separator:a4bdbee4b9dac103c1f82afba61fdd1e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="threads__kernel__1_8h_source.html">threads_kernel_1.h</a></li>
<li><a class="el" href="threads__kernel__2_8h_source.html">threads_kernel_2.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
